Login
Newsletter
Werbung

Sicherheit: Zwei Probleme in libzypp
Aktuelle Meldungen Distributionen
Name: Zwei Probleme in libzypp
ID: SUSE-SU-2018:2814-1
Distribution: SUSE
Plattformen: SUSE Linux Enterprise Desktop 12-SP3, SUSE Linux Enterprise Server 12-SP3, SUSE Linux Enterprise Software Development Kit 12-SP3, SUSE CaaS Platform ALL, SUSE CaaS Platform 3.0
Datum: Mo, 24. September 2018, 13:18
Referenzen: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2018-7685
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-9269
Applikationen: libzypp

Originalnachricht

   SUSE Security Update: Security update for libzypp, zypper
______________________________________________________________________________

Announcement ID: SUSE-SU-2018:2814-1
Rating: important
References: #1036304 #1045735 #1049825 #1070851 #1076192
#1088705 #1091624 #1092413 #1096803 #1099847
#1100028 #1101349 #1102429
Cross-References: CVE-2017-9269 CVE-2018-7685
Affected Products:
SUSE Linux Enterprise Software Development Kit 12-SP3
SUSE Linux Enterprise Server 12-SP3
SUSE Linux Enterprise Desktop 12-SP3
SUSE CaaS Platform ALL
SUSE CaaS Platform 3.0
______________________________________________________________________________

An update that solves two vulnerabilities and has 11 fixes
is now available.

Description:

This update for libzypp, zypper fixes the following issues:

Update libzypp to version 16.17.20:

Security issues fixed:

- PackageProvider: Validate deta rpms before caching (bsc#1091624,
bsc#1088705, CVE-2018-7685)
- PackageProvider: Validate downloaded rpm package signatures before
caching (bsc#1091624, bsc#1088705, CVE-2018-7685)

Other bugs fixed:

- lsof: use '-K i' if lsof supports it (bsc#1099847, bsc#1036304)
- Handle http error 502 Bad Gateway in curl backend (bsc#1070851)
- RepoManager: Explicitly request repo2solv to generate application pseudo
packages.
- libzypp-devel should not require cmake (bsc#1101349)
- HardLocksFile: Prevent against empty commit without Target having been
been loaded (bsc#1096803)
- Avoid zombie tar processes (bsc#1076192)

Update to zypper to version 1.13.45:

Security issues fixed:

- Improve signature check callback messages (bsc#1045735, CVE-2017-9269)
- add/modify repo: Add options to tune the GPG check settings
(bsc#1045735, CVE-2017-9269)

Other bugs fixed:

- XML <install-summary> attribute `packages-to-change` added
(bsc#1102429)
- man: Strengthen that `--config FILE' affects zypper.conf, not
zypp.conf
(bsc#1100028)
- Prevent nested calls to exit() if aborted by a signal (bsc#1092413)
- ansi.h: Prevent ESC sequence strings from going out of scope
(bsc#1092413)
- Fix: zypper bash completion expands non-existing options (bsc#1049825)
- Improve signature check callback messages (bsc#1045735)
- add/modify repo: Add options to tune the GPG check settings (bsc#1045735)


Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation
methods
like YaST online_update or "zypper patch".

Alternatively you can run the command listed for your product:

- SUSE Linux Enterprise Software Development Kit 12-SP3:

zypper in -t patch SUSE-SLE-SDK-12-SP3-2018-1969=1

- SUSE Linux Enterprise Server 12-SP3:

zypper in -t patch SUSE-SLE-SERVER-12-SP3-2018-1969=1

- SUSE Linux Enterprise Desktop 12-SP3:

zypper in -t patch SUSE-SLE-DESKTOP-12-SP3-2018-1969=1

- SUSE CaaS Platform ALL:

To install this update, use the SUSE CaaS Platform Velum dashboard.
It will inform you if it detects new updates and let you then trigger
updating of the complete cluster in a controlled way.

- SUSE CaaS Platform 3.0:

To install this update, use the SUSE CaaS Platform Velum dashboard.
It will inform you if it detects new updates and let you then trigger
updating of the complete cluster in a controlled way.



Package List:

- SUSE Linux Enterprise Software Development Kit 12-SP3 (aarch64 ppc64le
s390x x86_64):

libzypp-debuginfo-16.17.20-2.33.2
libzypp-debugsource-16.17.20-2.33.2
libzypp-devel-16.17.20-2.33.2
libzypp-devel-doc-16.17.20-2.33.2

- SUSE Linux Enterprise Server 12-SP3 (aarch64 ppc64le s390x x86_64):

libzypp-16.17.20-2.33.2
libzypp-debuginfo-16.17.20-2.33.2
libzypp-debugsource-16.17.20-2.33.2
zypper-1.13.45-21.21.2
zypper-debuginfo-1.13.45-21.21.2
zypper-debugsource-1.13.45-21.21.2

- SUSE Linux Enterprise Server 12-SP3 (noarch):

zypper-log-1.13.45-21.21.2

- SUSE Linux Enterprise Desktop 12-SP3 (noarch):

zypper-log-1.13.45-21.21.2

- SUSE Linux Enterprise Desktop 12-SP3 (x86_64):

libzypp-16.17.20-2.33.2
libzypp-debuginfo-16.17.20-2.33.2
libzypp-debugsource-16.17.20-2.33.2
zypper-1.13.45-21.21.2
zypper-debuginfo-1.13.45-21.21.2
zypper-debugsource-1.13.45-21.21.2

- SUSE CaaS Platform ALL (x86_64):

libzypp-16.17.20-2.33.2
libzypp-debuginfo-16.17.20-2.33.2
libzypp-debugsource-16.17.20-2.33.2
zypper-1.13.45-21.21.2
zypper-debuginfo-1.13.45-21.21.2
zypper-debugsource-1.13.45-21.21.2

- SUSE CaaS Platform 3.0 (x86_64):

libzypp-16.17.20-2.33.2
libzypp-debuginfo-16.17.20-2.33.2
libzypp-debugsource-16.17.20-2.33.2
zypper-1.13.45-21.21.2
zypper-debuginfo-1.13.45-21.21.2
zypper-debugsource-1.13.45-21.21.2


References:

https://www.suse.com/security/cve/CVE-2017-9269.html
https://www.suse.com/security/cve/CVE-2018-7685.html
https://bugzilla.suse.com/1036304
https://bugzilla.suse.com/1045735
https://bugzilla.suse.com/1049825
https://bugzilla.suse.com/1070851
https://bugzilla.suse.com/1076192
https://bugzilla.suse.com/1088705
https://bugzilla.suse.com/1091624
https://bugzilla.suse.com/1092413
https://bugzilla.suse.com/1096803
https://bugzilla.suse.com/1099847
https://bugzilla.suse.com/1100028
https://bugzilla.suse.com/1101349
https://bugzilla.suse.com/1102429

_______________________________________________
sle-security-updates mailing list
sle-security-updates@lists.suse.com
http://lists.suse.com/mailman/listinfo/sle-security-updates
Pro-Linux
Pro-Linux @Facebook
Neue Nachrichten
Werbung